%global __provides_exclude_from ^%{_libdir}/%{name}/.*$

%define major   1
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d


Name:           qmmp
Version:        1.5.2
Release:        %mkrel 2
Summary:        Feature-rich Qt-based multimedia player
License:        GPLv2+
Group:          Sound
URL:            https://qmmp.ylsoftware.com
Source0:        https://qmmp.ylsoftware.com/files/%{name}-%{version}.tar.xz

BuildRequires:  qttools5
BuildRequires:  lib64qt5core-devel
BuildRequires:  lib64qt5gui-devel
BuildRequires:  lib64qt5widgets-devel
BuildRequires:  lib64qt5network-devel
BuildRequires:  lib64qt5multimedia-devel
BuildRequires:  lib64qt5help-devel
BuildRequires:  lib64qt5x11extras-devel
BuildRequires:  lib64qt5dbus-devel
BuildRequires:  libmpcdec-devel
BuildRequires:  lib64wildmidi-devel
BuildRequires:  lib64jack-devel
BuildRequires:  lib64flac12-devel
BuildRequires:  lib64enca-devel
BuildRequires:  lib64alsa2-devel
BuildRequires:  lib64ffmpeg-devel
BuildRequires:  lib64cddb-devel
BuildRequires:  lib64bs2b-devel
BuildRequires:  lib64archive-devel
BuildRequires:  lib64cdio-devel
BuildRequires:  lib64cdio-paranoia-devel
BuildRequires:  lib64pulseaudio-devel
BuildRequires:  lib64ogg-devel
BuildRequires:  lib64mpg123-devel
BuildRequires:  lib64modplug-devel
BuildRequires:  lib64mms-devel
BuildRequires:  lib64mad-devel
BuildRequires:  lib64curl-devel
BuildRequires:  lib64vorbis0-devel
BuildRequires:  lib64opus-devel
BuildRequires:  lib64opusfile-devel
BuildRequires:  lib64sndfile-devel
BuildRequires:  lib64shout-devel
BuildRequires:  lib64x11-devel
BuildRequires:  lib64wavpack-devel
BuildRequires:  lib64taglib-devel
BuildRequires:  lib64soxr-devel
BuildRequires:  lib64samplerate-devel
BuildRequires:  lib64gme-devel
BuildRequires:  libfaad2-devel
BuildRequires:  cmake

Requires:   unzip
Requires:	lib64alsa2 
Requires:	lib64flac8
Requires:	lib64jack0
Requires:	lib64mad0
Requires:	lib64lame0
Requires:	lib64ogg0
Requires:	lib64samplerate0

%description
Qmmp is a feature-rich audio player, written with help of the Qt library.
The user interface is similar to winamp or xmms.

%files
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_libdir}/%{name}*/
%{_datadir}/solid/actions/%{name}-opencda.desktop
%{_datadir}/applications/%{name}*.desktop
%{_datadir}/metainfo/%{name}.appdata.xml
%{_iconsdir}/hicolor/*/apps/%{name}*

#----------------------------------------------------------------------

%package -n     %{libname}
Summary:        Shared libraries for Qmmp
Group:          System/Libraries

%description -n %{libname}
This package contains shared libraries for Qmmp (qmmp and qmmpui).

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}*
%{_libdir}/lib%{name}ui.so.%{major}*

#----------------------------------------------------------------------

%package -n     %{devname}
Summary:        Development files for the Qmmp libraries
Group:          Development/Libraries
Requires:       %{libname} = %{version}-%{release}
Obsoletes:      %{name}-devel
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains development headers and libraries to develop
applications using the qmmp and qmmpui libraries.

%files -n       %{devname}
%{_includedir}/%{name}/
%{_includedir}/%{name}ui/
%{_libdir}/lib%{name}.so
%{_libdir}/lib%{name}ui.so
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/pkgconfig/%{name}ui.pc

#----------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
%cmake_qt5 -DUSE_HAL:BOOL=OFF \
           -DUSE_OSS:BOOL=ON \
           -DCMAKE_INSTALL_LIBDIR=%{_lib}
%cmake_build

%install
rm -rf %buildroot
%cmake_install

%post
/sbin/ldconfig

%postun
/sbin/ldconfig


%changelog
* Wed Feb 01 2023 tex - 1.5.2-2pclos2023
- rebuild against updates

* Mon Nov 01 2021 tex - 1.5.2-1pclos2021
- new version

* Sat Jul 31 2021 tex - 1.5.1-1pclos2021
- new version

* Fri May 28 2021 tex - 1.5.0-1pclos2021
- new version
